---
title: axisDefaultsProps Chart API
description: "API Index | axisDefaultsProps"
api_reference: true
slug: api_chart_axisdefaultsprops
---

# AxisDefaultsProps

### axis-defaults-background `String`

The background color of the axis.

### axis-defaults-color `String`

The color that will apply to all axis elements. Accepts any valid CSS color string, including hex and rgb.

### axis-defaults-crosshair-color `String`

The color of the crosshair. Accepts any valid CSS color string, including hex and rgb.

### axis-defaults-crosshair-dash-type `String`

The dash type of the crosshair.

The supported dash types are:

* `dash`&mdash;A line that consists of dashes.
* `dashDot`&mdash;A line that consists of a repeating dash-dot pattern.
* `dot`&mdash;A line that consists of dots.
* `longDash`&mdash;A line that consists of a repeating long-dash pattern.
* `longDashDot`&mdash;A line that consists of a repeating long-dash-dot pattern.
* `longDashDotDot`&mdash;A line that consists of a repeating long-dash-dot-dot.
* `solid`&mdash;A solid line.

### axis-defaults-crosshair-opacity `Number`

The opacity of the crosshair. By default, the crosshair is opaque.

### axis-defaults-crosshair-tooltip-background `String`

The background color of the tooltip. Accepts any valid CSS color string, including hex and rgb.

### axis-defaults-crosshair-tooltip-border-color `String`

The color of the border. Accepts any valid CSS color string, including hex and rgb.

### axis-defaults-crosshair-tooltip-border-dash-type `String`

The dash type of the border.

The supported dash types are:

* `dash`&mdash;A line that consists of dashes.
* `dashDot`&mdash;A line that consists of a repeating dash-dot pattern.
* `dot`&mdash;A line that consists of dots.
* `longDash`&mdash;A line that consists of a repeating long-dash pattern.
* `longDashDot`&mdash;A line that consists of a repeating long-dash-dot pattern.
* `longDashDotDot`&mdash;A line that consists of a repeating long-dash-dot-dot.
* `solid`&mdash;A solid line.

### axis-defaults-crosshair-tooltip-border-width `Number`

The width (in pixels) of the border. By default, the border width is set to `zero` which means that the border will not appear.

### axis-defaults-crosshair-tooltip-color `String`

The text color of the tooltip. Accepts any valid CSS color string, including hex and rgb.

### axis-defaults-crosshair-tooltip-font `String`

The font of the tooltip.

### axis-defaults-crosshair-tooltip-format `String`

The format that is used to display the tooltip. Uses `kendo.format`. Contains one placeholder (`{0}`) which represents the category value.

### axis-defaults-crosshair-tooltip-padding `Number`

The padding of the crosshair tooltip. A numeric value will set all paddings.

### axis-defaults-crosshair-tooltip-padding-bottom `Number`

The bottom padding of the crosshair tooltip.

### axis-defaults-crosshair-tooltip-padding-left `Number`

The left padding of the crosshair tooltip.

### axis-defaults-crosshair-tooltip-padding-right `Number`

The right padding of the crosshair tooltip.

### axis-defaults-crosshair-tooltip-padding-top `Number`

The top padding of the crosshair tooltip.

### axis-defaults-crosshair-tooltip-template `String | Function`

The template which renders the tooltip. The template supports the `value` field which represents the category value.

### axis-defaults-crosshair-tooltip-visible `Boolean`

If `axis-defaults-crosshair-tooltip-visible` is set to `true`, the Chart will display the tooltip of the axis crosshair. By default, the axis crosshair tooltip is not visible.

### axis-defaults-crosshair-visible `Boolean`

If `axis-defaults-crosshair-visible` is set to `true`, the Chart will display the axis crosshair. By default, the axis crosshair is not visible.

### axis-defaults-crosshair-width `Number`

The width (in pixels) of the crosshair.

### axis-defaults-labels-font `String`

The font style of the labels.

### axis-defaults-labels-format `String`

The format that is used to display the labels. Uses `kendo.format`. Contains one placeholder (`{0}`) which represents the category value.

### axis-defaults-labels-margin `Number`

The margin of the labels. A numeric value will set all margins.

### axis-defaults-labels-margin-bottom `Number`

The bottom margin of the labels.

### axis-defaults-labels-margin-left `Number`

The left margin of the labels.

### axis-defaults-labels-margin-right `Number`

The right margin of the labels.

### axis-defaults-labels-margin-top `Number`

The top margin of the labels.

### axis-defaults-labels-mirror `Boolean`

If `axis-defaults-labels-mirror` is set to `true`, the Chart will mirror the axis labels and ticks. If the labels are normally on the left side of the axis, mirroring the axis will render them to the right.

### axis-defaults-labels-padding `Number`

The padding of the labels. A numeric value will set all paddings.

### axis-defaults-labels-padding-bottom `Number`

The bottom padding of the labels.

### axis-defaults-labels-padding-left `Number`

The left padding of the labels.

### axis-defaults-labels-padding-right `Number`

The right padding of the labels.

### axis-defaults-labels-padding-top `Number`

The top padding of the labels.

### axis-defaults-labels-rotation `Number | String`

The rotation angle of the labels. By default, the labels are not rotated. If the axis is horizontal, `axis-defaults-labels-rotation` can be set to `auto` and, as a result, the labels will be rotated only if the slot size is not sufficient to accommodate the entire labels.

### axis-defaults-labels-rotation-align `String`

The alignment of the rotated labels which is relative to the slot center.

The supported values are:

* `end`
* `center`

By default, the closest end of the label will be aligned to the center. If set to `center`, the center of the rotated label will be aligned instead.

### axis-defaults-labels-rotation-angle `Number | String`

The rotation angle of the labels. By default, the labels are not rotated. If the axis is horizontal, `axis-defaults-labels-rotation-angle` can be set to `auto` and, as a result, the labels will be rotated only if the slot size is not sufficient to accommodate the entire labels.

### axis-defaults-labels-skip `Number`

The number of labels that will be skipped. By default, no labels are skipped.

### axis-defaults-labels-step `Number`

The step for rendering the label. Renders every n<sup>th</sup> label. By default, every label is rendered.

### axis-defaults-labels-template `String | Function`

The template which renders the labels.

The template supports the following fields:

* `value`&mdash;The category value.
* `dataItem`&mdash;The data item if a field was specified. If the category does not have a corresponding item in the data, then an empty object will be passed.
* `format`&mdash;The default format of the label.
* `culture`&mdash;The default culture (if set) on the label.

### axis-defaults-labels-visible `Boolean`

If `axis-defaults-labels-visible` is set to `true`, the Chart will display the axis labels. By default, the axis labels are visible.

### axis-defaults-labels-visual `Function`

A function that can be used to create a custom visual for the labels.

The supported argument fields are:

* `createVisual`&mdash;A function that can be used to get the default visual.
* `culture`&mdash;The default culture (if set) on the label.
* `dataItem`&mdash;The data item is a field was specified.
* `format`&mdash;The default format of the label.
* `options`&mdash;The label options.
* `rect`&mdash;The `kendo.geometry.Rect` that defines where the visual will be rendered.
* `sender`&mdash;The Chart instance (may be undefined).
* `text`&mdash;The label text.
* `value`&mdash;The category value.

### axis-defaults-line-color `String`

The color of the lines. Accepts any valid CSS color string, including hex and rgb.

### axis-defaults-line-dash-type `String`

The dash type of the line.

The supported dash types are:

* `dash`&mdash;A line that consists of dashes.
* `dashDot`&mdash;A line that consists of a repeating dash-dot pattern.
* `dot`&mdash;A line that consists of dots.
* `longDash`&mdash;A line that consists of a repeating long-dash pattern.
* `longDashDot`&mdash;A line that consists of a repeating long-dash-dot pattern.
* `longDashDotDot`&mdash;A line that consists of a repeating long-dash-dot-dot.
* `solid`&mdash;A solid line.

### axis-defaults-line-visible `Boolean`

If `axis-defaults-line-visible` is set to `true`, the Chart will display the axis lines. By default, the axis lines are visible.

### axis-defaults-line-width `Number`

The width (in pixels) of the line. Affects also the major and minor ticks but not the grid lines.

### axis-defaults-major-grid-lines-color `String`

The color of the major grid lines. Accepts any valid CSS color string, including hex and rgb.

### axis-defaults-major-grid-lines-dash-type `String`

The dash type of the major grid lines.

The supported dash types are:

* `dash`&mdash;A line that consists of dashes.
* `dashDot`&mdash;A line that consists of a repeating dash-dot pattern.
* `dot`&mdash;A line that consists of dots.
* `longDash`&mdash;A line that consists of a repeating long-dash pattern.
* `longDashDot`&mdash;A line that consists of a repeating long-dash-dot pattern.
* `longDashDotDot`&mdash;A line that consists of a repeating long-dash-dot-dot.
* `solid`&mdash;A solid line.

### axis-defaults-major-grid-lines-visible `Boolean`

If `axis-defaults-major-grid-lines-visible` is set to `false`, the Chart will not display the major grid lines. By default, the major grid lines are visible.

### axis-defaults-major-grid-lines-width `Number`

The width (in pixels) of the axis major grid lines.

### axis-defaults-major-grid-lines-step `Number`

The step of the axis major grid lines.

### axis-defaults-major-grid-lines-skip `Number`

The skip of the axis major grid lines.

### axis-defaults-major-ticks-color `String`

The color of the axis major ticks lines. Accepts any valid CSS color string, including hex and rgb.

### axis-defaults-major-ticks-size `Number`

The length (in pixels) of the tick line.

### axis-defaults-major-ticks-visible `Boolean`

If `axis-defaults-major-ticks-visible` is set to `true`, the Chart will display the major ticks of the axis. By default, the major ticks of the axis are visible.

### axis-defaults-major-ticks-width `Number`

The width (in pixels) of the major ticks.

### axis-defaults-major-ticks-step `Number`

The step of the axis major ticks.

### axis-defaults-major-ticks-skip `Number`

The skip of the axis major ticks.

### axis-defaults-minor-grid-lines-color `String`

The color of the minor grid lines. Accepts any valid CSS color string, including hex and rgb.

### axis-defaults-minor-grid-lines-dash-type `String`

The dash type of the minor grid lines.

The supported dash types are:

* `dash`&mdash;A line that consists of dashes.
* `dashDot`&mdash;A line that consists of a repeating dash-dot pattern.
* `dot`&mdash;A line that consists of dots.
* `longDash`&mdash;A line that consists of a repeating long-dash pattern.
* `longDashDot`&mdash;A line that consists of a repeating long-dash-dot pattern.
* `longDashDotDot`&mdash;A line that consists of a repeating long-dash-dot-dot.
* `solid`&mdash;A solid line.

### axis-defaults-minor-grid-lines-visible `Boolean`

If `axis-defaults-minor-grid-lines-visible` is set to `true`, the Chart will display the minor grid lines. By default, the minor grid lines are visible.

### axis-defaults-minor-grid-lines-width `Number`

The width (in pixels) of the axis minor grid lines.

### axis-defaults-minor-grid-lines-step `Number`

The step of the axis minor grid lines.

### axis-defaults-minor-grid-lines-skip `Number`

The skip of the axis minor grid lines.

### axis-defaults-minor-ticks-color `String`

The color of the axis minor ticks lines. Accepts any valid CSS color string, including hex and rgb.

### axis-defaults-minor-ticks-size `Number`

The length (in pixels) of the tick line.

### axis-defaults-minor-ticks-visible `Boolean`

If `axis-defaults-minor-ticks-visible` is set to `true`, the Chart will display the minor ticks of the axis. By default, the minor ticks of the axis are visible.

### axis-defaults-minor-ticks-width `Number`

The width (in pixels) of the minor ticks.

### axis-defaults-minor-ticks-step `Number`

The step of the axis minor ticks.

### axis-defaults-minor-ticks-skip `Number`

The skip of the axis minor ticks.

### axis-defaults-narrow-range `Boolean`

If `axis-defaults-narrow-range` is set to `true`, the Chart will prevent the axis range from snapping to zero. Setting `axis-defaults-narrow-range` to `false` will force the axis range to snap to zero.

### axis-defaults-pane `String`

The name of the pane that in which the axis will be rendered. If not set, the axis will be rendered in the first (default) pane.

### axis-defaults-plot-bands `Array`

The plot bands of the axis.

### axis-defaults-reverse `Boolean`

If `axis-defaults-reverse` is set to `true`, the axis direction will be reversed. By default, categories are listed from left to right and from bottom to top.

### axis-defaults-start-angle `Number`

The angle (in degrees) of the first category on the axis. Angles increase clockwise and zero is to the left. Negative values are acceptable.

### axis-defaults-title-background `String`

The background color of the title. Accepts any valid CSS color string, including hex and rgb.

### axis-defaults-title-border-color `String`

The color of the border. Accepts any valid CSS color string, including hex and rgb.

### axis-defaults-title-border-dash-type `String`

The dash type of the border.

The supported dash types are:

* `dash`&mdash;A line that consists of dashes.
* `dashDot`&mdash;A line that consists of a repeating dash-dot pattern.
* `dot`&mdash;A line that consists of dots.
* `longDash`&mdash;A line that consists of a repeating long-dash pattern.
* `longDashDot`&mdash;A line that consists of a repeating long-dash-dot pattern.
* `longDashDotDot`&mdash;A line that consists of a repeating long-dash-dot-dot.
* `solid`&mdash;A solid line.

### axis-defaults-title-border-width `Number`

The width (in pixels) of the border. By default, the border width is set to zero which means that the border will not appear.

### axis-defaults-title-color `String`

The text color of the title. Accepts any valid CSS color string, including hex and rgb.

### axis-defaults-title-font `String`

The font style of the title.

### axis-defaults-title-margin `Number`

The margin of the title. A numeric value will set all margins.

### axis-defaults-title-margin-bottom `Number`

The bottom margin of the title.

### axis-defaults-title-margin-left `Number`

The left margin of the title.

### axis-defaults-title-margin-right `Number`

The right margin of the title.

### axis-defaults-title-margin-top `Number`

The top margin of the title.

### axis-defaults-title-padding `Number`

The padding of the title. A numeric value will set all paddings.

### axis-defaults-title-padding-bottom `Number`

The bottom padding of the title.

### axis-defaults-title-padding-left `Number`

The left padding of the title.

### axis-defaults-title-padding-right `Number`

The right padding of the title.

### axis-defaults-title-padding-top `Number`

The top padding of the title.

### axis-defaults-title-position `String`

The position of the title.

The supported values are:

* `top`&mdash;(Applicable to vertical axes) The axis title is positioned on the top.
* `bottom`&mdash;(Applicable to vertical axes) The axis title is positioned on the bottom.
* `left`&mdash;(Applicable to horizontal axes) The axis title is positioned on the left.
* `right`&mdash;(Applicable to horizontal axes) The axis title is positioned on the right.
* `center`&mdash;The axis title is positioned in the center.

### axis-defaults-title-rotation `Number`

The rotation angle of the title. By default, the title is not rotated.

### axis-defaults-title-text `String`

The text of the title.

### axis-defaults-title-visible `Boolean`

If `axis-defaults-title-visible` is set to `true`, the Chart will display the axis title. By default, the axis title is visible.

### axis-defaults-title-visual `Function`

A function that can be used to create a custom visual for the title.

The supported argument fields are:

* `text`&mdash;The label text.
* `rect`&mdash;The `kendo.geometry.Rect` that defines where the visual will be rendered.
* `sender`&mdash;The Chart instance (may be undefined).
* `options`&mdash;The label options.
* `createVisual`&mdash;A function that can be used to get the default visual.

### axis-defaults-visible `Boolean`

If `axis-defaults-visible` is set to `true`, the Chart will display the axis. By default, the axis is visible.

## Suggested Links

* [`AxisDefaults` in Kendo UI Chart for jQuery](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/chart/configuration/axisdefaults)
